Bug 195550 - maintainer update of mail/mutt
Summary: maintainer update of mail/mutt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Rodrigo Osorio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-01 11:28 UTC by Udo.Schweigert
Modified: 2014-12-10 09:59 UTC (History)
1 user (show)

See Also:


Attachments
mutt.diff (1.55 KB, patch)
2014-12-01 11:28 UTC, Bugzilla Automation
no flags Details | Diff
Patch for mutt port (1.95 KB, patch)
2014-12-06 10:42 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Udo.Schweigert 2014-12-01 11:28:55 UTC
Created attachment 150063 [details]
mutt.diff

Update for mail/mutt:
     - Fix security vulnerability CVE-2014-9116 (taken from debian's solution)

Committer: new file to be added to repo: files/patch-CVE-2014-9116
Comment 1 Udo.Schweigert 2014-12-06 10:41:07 UTC
After further investigation I changed the patch to use the upstream patch, which will be likely come with less side effects. Please use mutt-2.diff.

New log entry:

Update for mail/mutt:
     - Fix security vulnerability CVE-2014-9116
Comment 2 Udo.Schweigert 2014-12-06 10:42:37 UTC
Created attachment 150259 [details]
Patch for mutt port
Comment 3 commit-hook freebsd_committer 2014-12-10 09:58:59 UTC
A commit references this bug:

Author: rodrigo
Date: Wed Dec 10 09:58:26 UTC 2014
New revision: 374445
URL: https://svnweb.freebsd.org/changeset/ports/374445

Log:
  Update for mail/mutt: Fix security vulnerability CVE-2014-9116

  PR:		ports/195550
  Submitted by:	Udo.Schweigert@siemens.com (maintainer)
  Obtained from:	mutt
  MFH:		2014Q4

Changes:
  head/mail/mutt/Makefile
  head/mail/mutt/files/patch-CVE-2014-9116
Comment 4 Rodrigo Osorio freebsd_committer 2014-12-10 09:59:41 UTC
committed, thanks